AnsweredAssumed Answered

prepare Development Environment,Can't resolve dependency

Question asked by hekmatof on Oct 18, 2012
Latest reply on Oct 19, 2012 by jbarrez
I wanna use my eclipse and set it's environment  to work on activiti source with Git and Maven support.
I install EGit and m2e plugins for eclipse(Juno)
as I understand there is no comfortable way to clone a maven project from github using both maven and Git import(am i right?)
so I just import my github repository into eclipse, then import projects(modules) from it to my workspace. but till now there isn't maven support, so I convert projects to maven project and run maven build. now I have projects in my workspace with dependecy error, the projects code error on import third party packages.
anybody tell me where in my way is incorrect and what should I do to make my eclipse environment ready to develop on source code?
by the way, I read this article on wiki, it seems a little outdated and need to an update.

Outcomes